Bug 1464964 - [RFE]: Avoid raising spurious health warnings during initial setup of cluster
Summary: [RFE]: Avoid raising spurious health warnings during initial setup of cluster
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RADOS
Version: 3.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: 3.0
Assignee: Josh Durgin
QA Contact: shylesh
Erin Donnelly
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks: 1494421
TreeView+ depends on / blocked
 
Reported: 2017-06-26 10:07 UTC by John Spray
Modified: 2017-12-05 23:34 UTC (History)
10 users (show)

(edit)
.New health checks with more structure

Previously, during the installation of a Red Hat Ceph Storage cluster, Ceph raised spurious health warnings. The health checks have been improved to be more structured and no longer trigger health warnings on healthy clusters.
Clone Of:
(edit)
Last Closed: 2017-12-05 23:34:34 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:3387 normal SHIPPED_LIVE Red Hat Ceph Storage 3.0 bug fix and enhancement update 2017-12-06 03:03:45 UTC
Github ceph ceph pull 15643 None None None 2017-08-30 18:36 UTC

Description John Spray 2017-06-26 10:07:19 UTC
Historically we have sometimes had health warnings for things like too few OSDs, PGs, PGs in peering/creating state, that would appear even on a perfectly healthy system while it was being set up.

Normal set up of a Ceph cluster should not trigger any health warnings or log messages at WRN or ERR.

Comment 4 Josh Durgin 2017-08-30 17:44:36 UTC
https://github.com/ceph/ceph/pull/15643

Comment 7 John Spray 2017-09-27 14:35:04 UTC
You also need to check the cluster log for WARN or ERROR messages.

Comment 9 John Spray 2017-09-28 08:28:23 UTC
Yes, if there are no warnings or errors, you're good to go.

Comment 10 shylesh 2017-09-28 08:57:39 UTC
Verified on 12.2.0-3redhat1xenial

Comment 15 errata-xmlrpc 2017-12-05 23:34:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:3387


Note You need to log in before you can comment on or make changes to this bug.